%define flavour terminal
%define label Terminal

Name: kde-settings-%flavour
Version: 0.1
Release: alt0.M40.1

Summary: KDE settings for ALT Linux %label
License: GPL
Group: System/Configuration/Other

Packager: Michael Shigorin <mike@altlinux.org>
Source:%name-%version.tar

Requires: kdelibs >= 3.5.7-alt3 kde-styles-splash-%flavour
PreReq(post,preun): alternatives >= 0.2
BuildArch: noarch

%description
KDE settings for ALT Linux %label

%prep
%setup -q

%install
mkdir -p %buildroot/etc/kde/settings-%flavour/share/config
install -m 0644 config/* %buildroot/etc/kde/settings-%flavour/share/config

mkdir -p %buildroot/etc/kde/settings-%flavour/share/apps/kdisplay/color-schemes
install -m 0644 apps/kdisplay/color-schemes/* %buildroot/etc/kde/settings-%flavour/share/apps/kdisplay/color-schemes/

mkdir -p %buildroot/%_altdir
cat >%buildroot/%_altdir/%name <<__EOF__
/etc/kde/distribution	/etc/kde/settings-%flavour 50
__EOF__

%post
%post_register_alternatives %name -- %name
%update_alternatives
%preun
%preun_unregister_alternatives %name

%files
%config %_altdir/%name
/etc/kde/settings-%flavour/share/config/*
/etc/kde/settings-%flavour/share/apps/kdisplay/color-schemes/*

%changelog
* Sun Aug 10 2008 Michael Shigorin <mike@altlinux.org> 0.1-alt0.M40.1
- adapted for ALT Linux 4.0 Terminal
- based on kde-settings-desktop-0.1-alt6.1
- macroized potentially volatile parts

* Tue May 06 2008 Michael Shigorin <mike@altlinux.org> 0.1-alt6.1
- added media panel plugin (in fact it's in default kde-settings;
  thanks zerg@ for a hint)

* Thu Oct 18 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt6
- changed splash screen 

* Thu Aug 09 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt5
- Changed konquerror background 

* Tue Jul 24 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt4
- Added BrowserApplication key 

* Thu Jul 05 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt3
- color scheme really added 

* Wed Jun 27 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2
- color scheme added 

* Wed Jun 20 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt1
- first build 




